Subject: Re: bug#71398: 30.0.50; Byte-compiling eat 0.9.4 stalls

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Jun 2024 08:54:28 +0300

> Date: Thu, 06 Jun 2024 09:07:56 -0700
> From:  Steven Allen via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> Byte-compiling eat 0.9.4 stalls (using 100% CPU) when compiling
> `eat--t-handle-output`. To reproduce:
> 
> 1. `emacs -Q`
> 2. `M-x package-install RET eat RET`
> 
> If I enable `debug-on-quit` and quit while compiling, I get the
> following backtrace:
> 
> Debugger entered--Lisp error: (quit)
>   maphash(#f(compiled-function (value tag) #<bytecode 0x139135ce1c53c9c>) #<hash-table equal 2/2 0x10d3da6d861d ...>)

Thanks, but why do you think this is a bug in Emacs and not in eat?
Did you report this to the eat developers?  If not, I suggest to do
that first.